STRUCT CFG80211_DISA(9)

NAME
struct_cfg80211_disassoc_request - Disassociation request data

SYNOPSIS

struct cfg80211_disassoc_request {
  struct cfg80211_bss * bss;
  const u8 * ie;
  size_t ie_len;
  u16 reason_code;
  bool local_state_change;
};

MEMBERS

bss
    the BSS to disassociate from

ie
    Extra IEs to add to Disassociation frame or NULL

ie_len
    Length of ie buffer in octets

reason_code
    The reason code for the disassociation

local_state_change
    This is a request for a local state only, i.e., no Disassociation frame is to be transmitted.

DESCRIPTION

This structure provides information needed to complete IEEE 802.11 disassocation.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT